Returns the authenticated user's party roles based on the scope URL that was granted during authorisation.
The scopeUrl parameter specifies the target scope to query. This can be at the business or fund level:
- Business level:
b/{businessCode}/— returns roles for the specified business. - Fund level:
f/{businessCode}/{fundCode}/— returns roles for the specified fund within a business.
The optional alt parameter can be set to includewriteaccess to include a ScopeWriteAccess entry in the PartyRoles array if the user has write permissions on the specified scope.
Party roles represent the user's relationship to the business or fund (e.g. ADVISOR, ADMIN, TRUSTINDIVIDUAL, TRUSTCORPORATE, MEMBER).
An empty PartyRoles array indicates that the authenticated user is not set up as a related party on the specified business or fund.
Security
Class_oAuth
- Partner Integration Environment (Sandbox)https://api.class-pie.com.au/api/1.0/u/connect/roleinfobyscopeurl
- Production Environmenthttps://api.class.com.au/api/1.0/u/connect/roleinfobyscopeurl
curl -i -X GET \
'https://api.class-pie.com.au/api/1.0/u/connect/roleinfobyscopeurl?scopeUrl=b%2Fdemobusiness%2F&alt=includewriteaccess' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
Returns the user's roles scoped to a business.
{ "Data": { "PartyRoles": [ "ADVISOR" ], "MembershipRoles": [] }, "Errors": [] }